Advanced search: Namespace-groups are not set correctly at pageload
Closed, ResolvedPublic3 Story Points

Description

Bug description
When a namespace bundle is present, the checkbox is not checked anymore after a submitted search.

Acceptance Criteria

  • At any time, if all namespaces behind a namespace bundle are present in the namespace search bar, the checkbox is checked
  • At any time that at least one namespace is missing to a namespace bundle, the checkbox is unchecked
  • This is valid, no matter if there was a search in between, if the url indicated namespaces that complete a bundle, or any other use case you can think of.

Original bug description

  • select namespace group "general help"
  • search
  • note: "general help" is not selected anymore
  • change filetype filter
  • "general help" gets again selected

This is irritating – changing the filetype should not change anything about the namespaces. Either set the state of the check at pageload or not set it when changing filetype/etc. anymore.

Restricted Application added a project: TCB-Team. · View Herald TranscriptMar 17 2018, 11:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE renamed this task from Advanced search: Namespace-groups are not set correctly at pageload but set is filetype is changed to Advanced search: Namespace-groups are not set correctly at pageload.Mar 19 2018, 9:01 AM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE removed a project: TCB-Team.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE moved this task from Backlog to Tickets ready for pickup on the Advanced-Search board.
Lea_WMDE updated the task description. (Show Details)Mar 21 2018, 2:13 PM
Lea_WMDE updated the task description. (Show Details)Mar 21 2018, 2:17 PM
Lea_WMDE set the point value for this task to 3.
Lea_WMDE moved this task from Tickets ready for pickup to In FUN sprint on the Advanced-Search board.

Change 421850 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] [WIP] Update namespace group checkboxes on pageload

https://gerrit.wikimedia.org/r/421850

thiemowmde claimed this task.
Tonina_Zhelyazkova_WMDE removed thiemowmde as the assignee of this task.Wed, Mar 28, 3:23 PM

Change 421850 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Update namespace group checkboxes on pageload

https://gerrit.wikimedia.org/r/421850

Lea_WMDE closed this task as Resolved.Wed, Apr 4, 2:00 PM